FROM python:3.10.4

RUN mkdir /app

COPY . /app

RUN python -m pip install paddlepaddle==2.5.2 -i https://pypi.tuna.tsinghua.edu.cn/simple

RUN cd /app && pip install -r requirements.txt -i https://pypi.tuna.tsinghua.edu.cn/simple

RUN sed -i 's/deb.debian.org/mirrors.ustc.edu.cn/g' /etc/apt/sources.list
RUN sed -i 's/security.debian.org/mirrors.ustc.edu.cn/g' /etc/apt/sources.list
RUN apt update
RUN apt install -y libgl1-mesa-glx

WORKDIR /app
ENTRYPOINT ["python"]
CMD ["main.py", "--production"]